You are not logged in.

#1 2021-07-16 12:32:57

nandi
Member
Registered: 2021-07-16
Posts: 12

Secret Maryo Chronicles install

Anyone had sucess installing Secret Maryo Chronicles
on Bunsenlabs? I tried to add the debian 8(jessie) to my sources but its not updating because Jessie became unsupported last year. I had only an idea its a long shoot download the dvd for jessie add to the sources as a loop device(i dont have dvd player) and maybe set back the time?
Would that work? Compile from source is not an option many libraries removed from debian 10 would need to compile libraries as well with special options, i dont have enough knowledge for that.

Offline

#2 2021-07-16 17:17:21

rbh
Moderator
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 1,308

Re: Secret Maryo Chronicles install

nandi wrote:

Anyone had sucess installing Secret Maryo Chronicles
on Bunsenlabs?

It is problems with software that has ceased development...

I tried to add the debian 8(jessie) to my sources

You can not have sources for different versions of BL/Debian. If you have installed Lithium/Buster, you have to stick with that (until time to upgrade).

I had only an idea its a long shoot download the dvd for jessie add to the sources as a loop device(i dont have dvd player) and maybe set back the time?

Bad thinking...

You can install Jessie in an Virtual machine and then install smc för Jessie...

Or install the updated clone: The Secret Chronicles of Dr M -- https://secretchronicles.org/en/download/

Last edited by rbh (2021-07-16 17:18:12)


// Regards rbh

Please read before requesting help: Guide to getting help,
Introduction to the Bunsenlabs Lithium Desktop and other help topics under "Help Resources" on the BunsenLabs menu

Offline

#3 2021-07-16 19:47:15

nandi
Member
Registered: 2021-07-16
Posts: 12

Re: Secret Maryo Chronicles install

Thank you for your comment sound like i need to run Jessie on a different partition/virtual machine.
The updated clone has the same problem like the original smc it needs the
libcegui-mk2-dev library which debian 10 dont have in the repository.

Offline

#4 2021-07-17 13:50:52

brontosaurusrex
Middle Office
Registered: 2015-09-29
Posts: 2,404
Website

Re: Secret Maryo Chronicles install

rbh wrote:

Or install the updated clone: The Secret Chronicles of Dr M -- https://secretchronicles.org/en/download/

That seems to depend on very specific versions of stuff, testing on bullseye (downloaded deb)

cat control | grep Depends
Depends: libboost-chrono1.71.0, libboost-filesystem1.71.0, libboost-system1.71.0, libboost-thread1.71.0, libc6 (>= 2.31-4), libcegui-mk2-0.8.7, libgcc-s1 (>= 10.2.0-16), libgl1-mesa-glx | libgl1, libglibmm-2.4-1v5 (>= 2.64.2-2), libglu1-mesa | libglu1, libpcre3, libpng16-16 (>= 1.6.37-3), libsfml-audio2.5, libsfml-graphics2.5, libsfml-system2.5, libsfml-window2.5, libstdc++6 (>= 10.2.0-16), libx11-6, libxml++2.6-2v5 (>= 2.40.1-3)
apt install libboost-chrono1.74.0 # won't work

Probably good idea to ask mantainer whats up.

Last edited by brontosaurusrex (2021-07-17 13:56:25)

Offline

#5 2021-07-17 17:34:13

rbh
Moderator
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 1,308

Re: Secret Maryo Chronicles install

In Sid, the installation also complained about umet dependenciesbut it was fixed with command: "apt --fix-broken install”.


// Regards rbh

Please read before requesting help: Guide to getting help,
Introduction to the Bunsenlabs Lithium Desktop and other help topics under "Help Resources" on the BunsenLabs menu

Offline

Board footer

Powered by FluxBB